//
// TourConfig.m
// Project
//
// Created by haibara on 3/14/17.
//
//

#import "TourConfig.h"
#import "SDK.h"
#import "CocoaUtils.h"


NSString *const UserDefaultsPrefixTourSearchDataSourceDigest = @"tourSearchDataSourceDigest";
NSString *const UserDefaultsPrefixHotelSearchDataSourceDigest = @"hotelSearchDataSourceDigest";

NSString *const FlightInformationDidEditingNotification = @"FlightInformationDidEditingNotification";

@implementation TourConfig

#pragma mark - <AppearanceConfig>

+ (UIColor *)defaultTintColor {
	return [CocoaUtils colorWithRGBs:0x6787dd];
}

#pragma mark - <MainSiteConfig>

+ (BOOL)is_cn_website {
	return [[IMLocalization sharedInstance].language hasPrefix:@"zh-Hans"];
}

+ (NSStringEncoding)charset {
	return [self is_cn_website] ? CFStringConvertEncodingToNSStringEncoding(kCFStringEncodingGB_18030_2000) : NSISOLatin1StringEncoding;
}

+ (BOOL)is_tours_site {
	return YES;
}

#pragma mark - <WebServiceConfig>

+ (NSString *)liveServer {
	return [self is_cn_website] ? @"https://www.taketours.cn" : @"https://www.taketours.com";
}

+ (NSString *)testingServer {
	return [self is_cn_website] ? @"http://testwww.taketours.cn" : @"http://testwww.taketours.com";
}

+ (NSString *)javaAppLiveEndpoint {
	return [super javaAppLiveEndpoint];
}

#pragma mark - <PayPalConfig>

+ (NSString *)paypalSandboxClientId {
	return @"ARYHE1mDi7lPrKYUjxBlghJ57dKzA2PO7vEjTiGPOy-WF7wLAqmrZTrgMM3k1TGUFjGNMAFA55tmTD6E";
}

+ (NSString *)paypalSandboxSecret {
	return @"EA1YWG8LEUZfZ0USXKVvcbhISVErPEy2vw_KovzwCIwXeNdhKkU9lXlOfQeu52hJrbqmEnZUgqKWCRQ-";
}

+ (NSString *)paypalLiveClientId {
	return @"AQ2bxhGB1RwaW02WOdZzoo2YDr7S5bGucaM49D9ydUL2BVktacvk6_Klxzhb-B9ljP-JJe-yXDQG7HmW";
}

+ (NSString *)paypalLiveSecret {
	return @"ENq-nJfkdJy4dTDjEVdhkKTDVZ64oZIdfn6ve2MeWqT6ipDprmYnsiSX_O4GATXVLH6YfGAMDZrAwcdN";
}

@end
